## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Capitalized application name...
%global appname PE-bear

# Git revision of bearparser...
%global commit1 06e63d4d7852902f4f4403436d5fe61ae4f0deeb
%global shortcommit1 %(c=%{commit1}; echo ${c:0:7})

# Git revision of capstone...
%global commit2 80ede42453ce5717c1808cad512a4410fcb9df5a
%global shortcommit2 %(c=%{commit2}; echo ${c:0:7})

# Git revision of sig_finder...
%global commit3 1ce5ff29264079f505943450b5bc4a3815baa798
%global shortcommit3 %(c=%{commit3}; echo ${c:0:7})

Name: pe-bear
Version: 0.6.7.3
Release: %autorelease

# main - GPL-2.0-or-later
# bearparser - BSD-2-Clause
# capstone - BSD-3-Clause
# sig_finder - BSD-2-Clause
License: GPL-2.0-or-later AND BSD-2-Clause AND BSD-3-Clause
Summary: Portable Executable analyzing tool with a friendly GUI
URL: https://github.com/hasherezade/%{name}

Source0: %{url}/archive/v%{version}/%{name}-%{version}.tar.gz
Source1: https://github.com/hasherezade/bearparser/archive/%{commit1}/bearparser-%{shortcommit1}.tar.gz
Source2: https://github.com/capstone-engine/capstone/archive/%{commit2}/capstone-%{shortcommit2}.tar.gz
Source3: https://github.com/hasherezade/sig_finder/archive/%{commit3}/sig_finder-%{shortcommit3}.tar.gz

Provides: bundled(bearparser) = 0.3~git%{shortcommit1}
Provides: bundled(capstone) = 5.0~git%{shortcommit2}
Provides: bundled(sig_finder) = 0~git%{shortcommit3}

BuildRequires: cmake(Qt5Core)
BuildRequires: cmake(Qt5Gui)
BuildRequires: cmake(Qt5Widgets)

BuildRequires: cmake
BuildRequires: desktop-file-utils
BuildRequires: gcc
BuildRequires: gcc-c++
BuildRequires: libappstream-glib
BuildRequires: ninja-build

%description
PE-bear is a multiplatform analyzing tool for PE (Portable Executable)
files. Its objective is to deliver fast and flexible "first view" for
malware analysts, stable and capable to handle malformed PE files.

%prep
%autosetup -p1

# Fixing mime-type export...
sed -e "s@application/octet-stream;@@g" -i xdg/launcher.desktop.in

# Unpacking submodules...
tar -xf %{SOURCE1} -C bearparser --strip=1
tar -xf %{SOURCE2} -C capstone --strip=1
tar -xf %{SOURCE3} -C sig_finder --strip=1

%build
%cmake -G Ninja \
    -DCMAKE_BUILD_TYPE=Release \
    -DCMAKE_POSITION_INDEPENDENT_CODE:BOOL=ON \
    -DCMAKE_SKIP_INSTALL_RPATH:BOOL=ON \
    -DBUILD_SHARED_LIBS:BOOL=OFF \
    -DRELATIVE_LIBS:BOOL=OFF \
    -DSHOW_CONSOLE:BOOL=OFF \
    -DUSE_QT4:BOOL=OFF
%cmake_build

%install
%cmake_install

%check
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/*.metainfo.xml
desktop-file-validate %{buildroot}%{_datadir}/applications/*.desktop

%files
%license LICENSE
%doc README.md
%{_bindir}/%{appname}
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/*.png
%{_metainfodir}/*.metainfo.xml

%changelog
* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> 0.6.7.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Wed Apr 24 2024 Vitaly <vitaly@easycoding.org> 0.6.7.3-1
- Updated to version 0.6.7.3.

* Thu Jan 25 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.5.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

